# eole-prometheus 

Eolisation de la solution de surveillance Prometheus.

Grafana est pris en charge dans l'eolisation et peut ou non être activé.

L'exporter système (node-exporter) est dans la configuration par défaut (Prometheus se surveille lui même).

### Installation

#### Installer `eole-prometheus`

1. Ajouter le dépôt officiel de [Grafana](http://docs.grafana.org/installation/debian/#apt-repository). Dans l'interface `GenConfig`
    ```
    Mode expert > Dépot tiers > Ajouter un dépot
            Dépôt officiel Grafana
                Libellé du dépot = Cadoles
                Déclaration du dépôt = deb https://packages.grafana.com/oss/deb stable main
                Méthode de récupération de la clé = URL de la clé
                URL de la clé = https://packages.grafana.com/gpg.key
    ```
2. Ajouter le dépôt Cadoles. Dans l'interface `GenConfig`
    ```
    Mode expert > Dépot tiers > Ajouter un dépot
            Cadoles pour environnement de Dev
                Libellé du dépot = Cadoles
                Déclaration du dépôt = deb https://vulcain.cadoles.com 2.7.0-dev main
                Méthode de récupération de la clé = URL de la clé
                URL de la clé = https://vulcain.cadoles.com/cadoles.gpg
    ```

Il faut ouvrir les ports en fonction des exporters. Tous les exporters n'utilisent pas le même port.

Le paquet eole-prometheus ouvre les ports sur le serveur où Prometheus sera installé :

* 9090 pour le serveur prometheus
* 9100 pour la sonde node-exporter
* 3000 pour le serveur Grafana
